import React from "react"

interface Props {
    imgProfile?: string
}

const Profil = (props: Props) => {
    const { imgProfile = "https://placeimg.com/80/80/people" } = props
    return (
        <div className="dropdown dropdown-end">
            <label tabIndex={0} className="btn btn-ghost btn-circle avatar">
                <div className="w-10 rounded-full">
                    <img src={imgProfile} />
                </div>
            </label>
            <ul
                tabIndex={0}
                className="mt-3 p-2 shadow menu menu-compact dropdown-content bg-base-100 rounded-box w-52"
            >
                <li>
                    <a className="justify-between">
                        Profile
                        <span className="badge">Actualité</span>
                    </a>
                </li>
                <li>
                    <a>Paramètre</a>
                </li>
                <li>
                    <a>Déconnexion</a>
                </li>
            </ul>
        </div>
    )
}

export default Profil
